Matchbox keyboard on 2.8.4 with RTAI kernel not possible?

More
17 Nov 2022 16:28 #256939 by F4br1c4t3D
I'm trying to install an on-screen keyboard for use with gmoccapy on Linuxcnc 2.8.4. As I understand my two choices are Matchbox and Onboard I'm not fussy about which one. When I attempt to install matchbox, which is the only one I find a reference to in Synaptic, it tells me I'm missing dependencies and they can't/won't be installed. Using apt from the terminal it lists about 8 packages that it deems not installable and terminates with the error 'unable to correct problems, you have broken packages'. 

I'm not sure of the exact packages as I'm not at the machine right now but I can provide this info shortly if required. How should I proceed from here, am I fighting a losing battle and I'll just have to depend on a physical keyboard?

Please Log in or Create an account to join the conversation.

More
17 Nov 2022 17:34 #256941 by tommylight
Did you do a
sudo apt update
before trying to install?

Please Log in or Create an account to join the conversation.

More
17 Nov 2022 19:41 #256951 by F4br1c4t3D
Hi Tommy, thanks for your response.

I believe I have although it was late last night when I was trying to get this figured out. The only version that seems to show up in synaptic is the udeb version if this is of any relevance. All the dependencies also have the -udeb suffix. I'm guessing this could be part of my problem. I'm assuming I'm missing the repo for the full fat debian matchbox? iirc the update command didn't find any additional package info.

Assuming I am missing it how would I go about finding the correct source?

Please Log in or Create an account to join the conversation.

More
17 Nov 2022 21:04 #256961 by F4br1c4t3D
OK so when I run sudo apt update it doesn't get as far as looking at package lists. I get the following:

Ign:1 cdrom://[Debian GNU/Linux 10 _Buster_ - Official Snapshot amd64 LIVE/INSTALL Binary 20220920-23:12] buster InRelease
Err:2 cdrom://[Debian GNU/Linux 10 _Buster_ - Official Snapshot amd64 LIVE/INSTALL Binary 20220920-23:12] buster Release
Please use apt-cdrom to make this CD-ROM recognized by APT. apt-get update cannot be used to add new CD-ROMs
Hit:3 linuxcnc.org buster InRelease
Reading package lists... Done
E: The repository 'cdrom://[Debian GNU/Linux 10 _Buster_ - Official Snapshot amd64 LIVE/INSTALL Binary 20220920-23:12] buster Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

Please Log in or Create an account to join the conversation.

More
17 Nov 2022 21:32 #256962 by tommylight
Try
sudo apt update
sudo apt install matchbox-keyboard

Please Log in or Create an account to join the conversation.

More
17 Nov 2022 22:02 #256969 by F4br1c4t3D
So I got past the previous error, for some reason my sources list had a CD rom entry in it, I'm guessing from the Live USB I installed from which is no longer present.

apt upgrade now shows one upgradable package - LinuxCNC can be upgraded to 3.4.6.1

The command to install matchbox-keyboard returns an unable to locate package error.

Please Log in or Create an account to join the conversation.

More
17 Nov 2022 22:46 #256975 by F4br1c4t3D
I had to manually add some sources to the sources list then, then I could apt install both matchbox and onboard. Sorted
The following user(s) said Thank You: tommylight

Please Log in or Create an account to join the conversation.

Moderators: newbynobiHansU
Time to create page: 0.709 seconds
Powered by Kunena Forum